@extends('layouts.main')

@push('nav_title')
    <a class="navbar-brand" href="{{route('users')}}">User Form</a>
@endpush

@section('page_title')

    <h1>{{$title}}</h1>

    <a href="{{route('budgets')}}">
        <button class="btn btn-primary">Back</button>
    </a>

@endsection


@section('main_div')

    <div class="container" style="background-color: #e5e7eb; padding: 40px; margin: 40px">

        <form action="{{$url}}" method="post">
            @csrf

            <div class="mb-3">

                <label for="name" class="form-label">Name</label>
                <input id="name" type="text" class="form-control" name="name" value="{{ old('name',$budget->name) }}">

                <span class="text-danger">
                    @error('name') {{$message}} @enderror
                </span>

            </div>

            <div class="mb-3">

                <label for="price" class="form-label">Price</label>
                <input id="price" type="text" class="form-control" name="price" value="{{ old('price',$budget->price) }}" >

                <span class="text-danger">
                    @error('price') {{$message}} @enderror
                </span>

            </div>

            <button class="btn btn-primary" type="submit">Confirm</button>
        </form>

    </div>

@endsection
