@extends('layouts.main')

@push('nav_title')
    <a class="navbar-brand" href="{{route('users')}}">Budget</a>
@endpush

@section('page_title')

    <h1>Budgets List</h1>

    <div class="d-flex justify-content-between">
    
        <h1>Total Budgets: {{ $budgets->count() }}</h1>

        <a href="{{route('budget_form')}}">
            <button class="btn btn-primary">Add Budget</button>
        </a>

    </div>


@endsection

@section('side_bar')

    @include('layouts/side_bar');

@endsection

@section('main_div')

    <div class="container" style="background-color: #e5e7eb; padding: 40px;">

        <table class="table">
            <thead class="table-primary">
            <tr>
                <th scope="col">Name</th>
                <th scope="col">Price</th>
                <th scope="col">Action</th>
            </tr>
            </thead>
            <tbody>
            @foreach($budgets as $budget)
                <tr>
                    <td>{{$budget->name}}</td>
                    <td>{{$budget->price}}$</td>
                    <td>
                        <a href="{{route('delete_budget',['id'=>$budget->id])}}">
                            <button class="btn btn-danger btn-sm">Delete</button>
                        </a>
                        |
                        <a href="{{route('edit_budget',['id'=>$budget->id])}}">
                            <button class="btn btn-primary btn-sm">Edit</button>
                        </a>
                    </td>
                </tr>
            @endforeach
            </tbody>
        </table>

    </div>

@endsection
