@extends('layouts.main')

@push('nav_title')
    <a class="navbar-brand" href="{{route('products')}}">Product</a>
@endpush

@section('page_title')

    <h1>Products List</h1>

    <div class="d-flex justify-content-between">

        <h1>Total Products: {{ $products->count() }}</h1>

        <a href="{{route('product_form')}}">
            <button class="btn btn-primary">Add Product</button>
        </a>

    </div>

@endsection

@section('side_bar')

    @include('layouts/side_bar');

@endsection

@section('main_div')

    <div class="container" style="background-color: #e5e7eb; padding: 40px;">

        <table class="table">
            <thead class="table-primary">
            <tr>
                <th scope="col">Image</th>
                <th scope="col">Name</th>
                <th scope="col">Qty</th>
                <th scope="col">Size</th>
                <th scope="col">Price</th>
                <th scope="col">Action</th>
            </tr>
            </thead>
            <tbody>
                @foreach($products as $product)
                    <tr>
                        <td>
{{--                            <img src="img/{{$product->image}}" width="50px" height="50px">--}}
                            <img src="{{ url('/../../interior.images.local/'.$product->image) }}" width="50px" height="50px">
                        </td>
                        <td>{{$product->name}}</td>
                        <td>{{$product->quantity}}</td>
                        <td>{{$product->size}}</td>
                        <td>{{$product->price}}</td>
                        <td>
                            <a href="{{route('delete_product',['id'=>$product->id])}}">
                                <button class="btn btn-danger btn-sm">Delete</button>
                            </a>
                            |
                            <a href="{{route('edit_product',['id'=>$product->id])}}">
                                <button class="btn btn-primary btn-sm">Edit</button>
                            </a>
                        </td>
                    </tr>
                @endforeach
            </tbody>
        </table>

    </div>

@endsection
