@extends('layouts.main')

@push('nav_title')
    <a class="navbar-brand" href="{{route('users')}}">User Form</a>
@endpush

@section('page_title')

    <h1>{{$title}}</h1>

    <a href="{{route('users')}}">
        <button class="btn btn-primary">Back</button>
    </a>

@endsection


@section('main_div')

    <div class="container" style="background-color: #e5e7eb; padding: 40px; margin: 40px">

        <form action="{{$url}}" method="post">
            @csrf

            <x-form_component id="name" name="name" type="text" label="Name" :value="$user->name ?? '' "/>
            <x-form_component id="email" name="email" type="email" label="Email" :value="$user->email ?? '' "/>
            <x-form_component id="password" name="password" type="password" label="Password" :value="$user->password ?? '' "/>
            <x-form_component id="phone" name="phone" type="text" label="Phone No" :value="$user->phone ?? '' "/>
            <x-form_component id="address" name="address" type="text" label="Address" :value="$user->address ?? '' "/>

            <div class="mb-3">
                <label for="budget" class="form-label">Budget</label>
                <select id="budget" name="budget" class="form-select" id="budget">
                    <option value="" disabled selected>Select a budget</option>
                    @foreach($budgets as $budget)
                        <option value="{{$budget->price}}" {{ old('budget', $budget->price ?? '') == $user->budget ? 'selected' : '' }}>{{$budget->name}}</option>
                    @endforeach
                </select>

                <span class="text-danger">
                    @error('budget')
                        {{$message}}
                    @enderror
                </span>
            </div>

            <x-form_component id="custom_budget" name="custom_budget" type="text" label="Custom Budget" :value="$user->custom_budget ?? '' "/>

            <x-form_component id="custom_budget_checkbox" name="custom_budget_checkbox" type="checkbox" label="Enable Custom Budget" :value="$user->custom_budget_checkbox ?? ''" />


            <button class="btn btn-primary" type="submit">Confirm</button>
        </form>

    </div>

@endsection
