<?php

use App\Http\Controllers\ProfileController;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\login_controller;
use App\Http\Controllers\user_controller;
use App\Http\Controllers\product_controller;
use App\Http\Controllers\budget_controller;

Route::get('/',[login_controller::class,'index'])->name('login');
Route::post('/login_form',[login_controller::class,'login'])->name('submit_login_form');
Route::get('/logout',[login_controller::class,'logout'])->name('logout');

//--------------------------------------
Route::middleware(['checklogin'])->group(function () {

    Route::get('/user', [user_controller::class, 'users_list'])->name('users');

    Route::get('/user_form', [user_controller::class, 'add_user'])->name('user_form');
    Route::post('/user_form', [user_controller::class, 'store_user'])->name('submit_user_form');

    Route::get('/user/delete/{id}', [user_controller::class, 'delete'])->name('delete_user');

    Route::get('/user/edit/{id}', [user_controller::class, 'edit'])->name('edit_user');
    Route::post('/user/update/{id}', [user_controller::class, 'update'])->name('update_user');

    //---------------------------------------
    Route::get('/product', [product_controller::class, 'product_list'])->name('products');

    Route::get('/product_form', [product_controller::class, 'add'])->name('product_form');
    Route::post('/product_form', [product_controller::class, 'store'])->name('submit_product_form');

    Route::get('/product/delete/{id}', [product_controller::class, 'delete'])->name('delete_product');

    Route::get('/product/edit/{id}', [product_controller::class, 'edit'])->name('edit_product');
    Route::post('/product/update/{id}', [product_controller::class, 'update'])->name('update_product');

//----------------------------------------
    Route::get('/budget', [budget_controller::class, 'budget_list'])->name('budgets');

    Route::get('/budget_form', [budget_controller::class, 'add'])->name('budget_form');
    Route::post('/budget_form', [budget_controller::class, 'store'])->name('submit_budget_form');

    Route::get('/budget/delete/{id}', [budget_controller::class, 'delete'])->name('delete_budget');

    Route::get('/budget/edit/{id}', [budget_controller::class, 'edit'])->name('edit_budget');
    Route::post('/budget/update/{id}', [budget_controller::class, 'update'])->name('update_budget');

});


//require __DIR__.'/auth.php';
